/* myRGB2HSV.h

J. Colineau 13/12/2007

tir de OpenCV/tests/aColor
adaptation  images 8U

voir aussi http://www.cs.rit.edu/~ncs/color/t_convert.html
*/

#ifndef myRGB2HSV_H
#define myRGB2HSV_H
#define  CV_CAST_8U(t)  (uchar)(!((t) & ~255) ? (t) : (t) > 0 ? 255 : 0)

void convert_row_bgr2abc_32f_c3( const float* src_row, float* dst_row, int n );
void convert_row_abc2bgr_32f_c3( const float* src_row, float* dst_row, int n );
void RGB2HSV( const IplImage* src, IplImage* dst );
void HSV2RGB( const IplImage* src, IplImage* dst);

#endif