
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the PNPLUGIN_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// PNPLUGIN_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.


/*#ifdef PNPLUGIN_EXPORTS
#define PNPLUGIN_API __declspec(dllexport)
#else
#define PNPLUGIN_API __declspec(dllimport)
#endif
*/

#ifdef __cplusplus
#define PNPLUGIN_API extern "C" __declspec(dllexport) 
#else 
#define PNPLUGIN_API  __declspec(dllexport) 
#endif

// definitions minimum ...
#define Byte unsigned char
#define IppStatus int
#define Ipp8u   unsigned char
typedef struct {
	int width;
	int height;
} IppiSize;

typedef struct
{	const char * version;
	const char * param;
	const char * funcName;
	const char * hint;
}  plInfo;

void posteriser(Byte * pIm,int SrcDstStep,IppiSize roiSize,unsigned char lut[]);
BOOL CALLBACK AboutDlgProc(HWND hDlg, UINT message,WPARAM wParam,LPARAM lParam);

PNPLUGIN_API int PnPluginInfo(plInfo * pInfo );
PNPLUGIN_API const char* PnPluginAppName( void );
PNPLUGIN_API IppStatus PnPluginDialog(HINSTANCE hInstance, HWND hwnd);
PNPLUGIN_API IppStatus PnPluginFunction( Ipp8u* pSrc, int srcStep, Ipp8u* pDst, int dstStep, IppiSize roiSize, int mode, int coef );


